Dist::Zilla::Plugin::AutoPrereqs(3)

NAME
Dist::Zilla::Plugin::AutoPrereqs - automatically extract prereqs from your modules

VERSION
version 4.300016

SYNOPSIS
In your dist.ini:

  [AutoPrereqs]
  skip = ^Foo|Bar$
  skip = ^Other::Dist

DESCRIPTION
This plugin will extract loosely your distribution prerequisites from your files using Perl::PrereqScanner.

If some prereqs are not found, you can still add them manually with the Prereqs plugin.

This plugin will skip the modules shipped within your dist.

ATTRIBUTES

  finder
This is the name of a FileFinder whose files will be scanned to determine runtime prerequisites. It may be specified multiple times. The default value is ":InstallModules" and ":ExecFiles".

  test_finder
Just like "finder", but for test-phase prerequisites. The default value is ":TestFiles".

  configure_finder
Just like "finder", but for configure-phase prerequisites. There is no default value; AutoPrereqs will not determine configure-phase prerequisites unless you set configure_finder.

  extra_scanners
This is an arrayref of scanner names (as expected by Perl::PrereqScanner). It will be passed as the "extra_scanners" parameter to Perl::PrereqScanner.

  scanners
This is an arrayref of scanner names (as expected by Perl::PrereqScanner). If present, it will be passed as the "scanners" parameter to Perl::PrereqScanner, which means that it will replace the default list of scanners.

  skips
This is an arrayref of regular expressions, derived from all the 'skip' lines in the configuration. Any module names matching any of these regexes will not be registered as prerequisites.

SEE ALSO
Prereqs, Perl::PrereqScanner.

CREDITS
This plugin was originally contributed by Jerome Quelin.

AUTHOR
Ricardo SIGNES <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Ricardo SIGNES.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.